Embeddable WireGuard C Library
==============================

This is a mini single-file library, meant to be embedded directly into the
source code of your program. It is *not* meant to be built as a shared
library.


Usage
-----

Copy wireguard.c and wireguard.h into your project. They should build with
any C89 compiler. There are no dependencies except libc.

Please see the set of simple functions in wireguard.h for information on
how to use, as well as the example code in test.c.


License
-------

Because this uses code from libmnl, wireguard.c and wireguard.h are licensed
under the LGPL-2.1+.
